"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _classnames = require("classnames");

var _classnames2 = _interopRequireDefault(_classnames);

var _ajaxUpload = require("./ajaxUpload");

var _ajaxUpload2 = _interopRequireDefault(_ajaxUpload);

var _util = require("util.react");

var _util2 = _interopRequireDefault(_util);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

require('./index.css');

var UploadPicker = function (_Component) {
    _inherits(UploadPicker, _Component);

    function UploadPicker() {
        _classCallCheck(this, UploadPicker);

        return _possibleConstructorReturn(this, (UploadPicker.__proto__ || Object.getPrototypeOf(UploadPicker)).apply(this, arguments));
    }

    _createClass(UploadPicker, [{
        key: "render",
        value: function render() {
            var self = this;
            var pcls = self.props.prefixClassName;
            var themesClassName = _util2.default.themes(this.props);
            return require("react").createElement(
                "div",
                { className: pcls + " " + themesClassName },
                require("react").createElement(_ajaxUpload2.default, self.props)
            );
        }
    }]);

    return UploadPicker;
}(_react.Component);

require('./props').default(UploadPicker);
exports.UploadFile = _ajaxUpload.uploadfile;
exports.default = UploadPicker;
// module.exports = UploadPicker