'use strict';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _upload = require('upload.react');

var _upload2 = _interopRequireDefault(_upload);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var React = require('react');

var Folder = function (_React$Component) {
    _inherits(Folder, _React$Component);

    function Folder(props) {
        _classCallCheck(this, Folder);

        var _this = _possibleConstructorReturn(this, (Folder.__proto__ || Object.getPrototypeOf(Folder)).call(this, props));

        _this.state = {
            list: [
                // {
                //     src: '',
                //     id: '',
                // }
            ]
        };
        return _this;
    }

    _createClass(Folder, [{
        key: 'render',
        value: function render() {
            var self = this;
            return require("react").createElement(
                'div',
                { className: 'folderDemo' },
                require("react").createElement(
                    _upload2.default,
                    {
                        name: 'file',
                        action: '/upload?status=success',
                        onPick: function onPick(files) {
                            console.log('onPick : ', files);
                            var list = self.state.list;
                            for (var key in files) {
                                list.push({
                                    src: files[key].thumb,
                                    id: files[key].id
                                });
                            }
                            self.setState({
                                list: list
                            });
                        },
                        onError: function onError(errFiles) {
                            console.log('onError : ', errFiles);
                        },
                        multiple: true,
                        webkitdirectory: true
                    },
                    require("react").createElement(
                        'button',
                        { type: 'button',
                            style: { width: '100px', height: '100px', border: '1px solid #333' }
                        },
                        'try click to choose folder'
                    )
                ),
                require("react").createElement('hr', null),
                require("react").createElement(
                    'div',
                    null,
                    self.state.list.map(function (item, index) {
                        return require("react").createElement('img', { key: index, src: item.src, style: { width: '50px', height: '50px', border: '1px solid #ccc', marginRight: '5px' } });
                    })
                )
            );
        }
    }]);

    return Folder;
}(React.Component);
/*ONFACE-DEL*/

Folder = require("react-hot-loader").hot(module)(Folder);
module.exports = Folder;