'use strict';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _upload = require('upload.react');

var _upload2 = _interopRequireDefault(_upload);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var React = require('react');

var Multiple = function (_React$Component) {
    _inherits(Multiple, _React$Component);

    function Multiple(props) {
        _classCallCheck(this, Multiple);

        var _this = _possibleConstructorReturn(this, (Multiple.__proto__ || Object.getPrototypeOf(Multiple)).call(this, props));

        _this.state = {};
        return _this;
    }

    _createClass(Multiple, [{
        key: 'render',
        value: function render() {
            var self = this;
            return require("react").createElement(
                'div',
                { className: 'multipleDemo' },
                require("react").createElement(
                    _upload2.default,
                    { name: 'file', action: '/upload?status=success',
                        multiple: true,
                        onPick: function onPick(files) {
                            console.log(files);
                            /*
                            files: [
                                {
                                    id: '3fiuhwufhweufgwef',
                                    name: 'ashdasdasd.jpg',
                                    // thumb base64 or defaultThumb
                                    // defaultThumb blob
                                    thumb: 'BASE64:sufihsiufh'
                                    // ie8 下不存在 File
                                    File: function File() {}
                                },
                            ]
                            */
                            files.forEach(function (item, index) {
                                console.log(item);
                                (0, _upload.UploadFile)({
                                    id: item.id,
                                    onProgress: function onProgress(step, file) {
                                        /*
                                            // 精确的浮点数
                                            step = 30.214124
                                        */
                                        // let percent = Math.round(step.percent)
                                        console.info('上传进度', file.id, file.name, step.percent);
                                    },
                                    onSuccess: function onSuccess(res) {
                                        if (res.status == 'success') {
                                            self.setState({
                                                id: res.data.id
                                            });
                                        } else {
                                            alert(res.msg);
                                        }
                                    },
                                    onError: function onError(err, res) {
                                        console.log(err, res);
                                    },
                                    onXhrError: function onXhrError(e) {
                                        console.log(e);
                                    }
                                });
                            });
                        }
                    },
                    require("react").createElement(
                        'button',
                        { type: 'button' },
                        'Picker'
                    )
                ),
                require("react").createElement(
                    'div',
                    null,
                    require("react").createElement('img', { src: self.state.src, alt: '' }),
                    require("react").createElement(
                        'button',
                        { type: 'button', onClick: function onClick() {
                                self.setState({
                                    id: '',
                                    src: ''
                                });
                            } },
                        'remove'
                    )
                )
            );
        }
    }]);

    return Multiple;
}(React.Component);
/*ONFACE-DEL*/

Multiple = require("react-hot-loader").hot(module)(Multiple);
module.exports = Multiple;