'use strict';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _upload = require('upload.react');

var _upload2 = _interopRequireDefault(_upload);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var React = require('react');

var MultipleStep = function (_React$Component) {
    _inherits(MultipleStep, _React$Component);

    function MultipleStep(props) {
        _classCallCheck(this, MultipleStep);

        var _this = _possibleConstructorReturn(this, (MultipleStep.__proto__ || Object.getPrototypeOf(MultipleStep)).call(this, props));

        _this.state = {
            images: [
                /*
                    {
                        src: 'dshfusahf.jpg',
                        id: 'sever_id:sduihasiudhasd',
                        fileid: 'asiudjuiashfuahsf',
                        step: 40
                    },
                    {
                        src: '',
                        id: '',
                        fileid: 'asiudjuiashfuahsf',
                        step: false
                    }
                */
            ]
        };
        return _this;
    }

    _createClass(MultipleStep, [{
        key: 'render',
        value: function render() {
            var self = this;
            return require("react").createElement(
                'div',
                { className: 'multipleStepDemo' },
                require("react").createElement(
                    _upload2.default,
                    { name: 'file', action: '/upload',
                        multiple: true,
                        onChange: function onChange(files) {
                            /*
                            files: [
                                {
                                    id: '3fiuhwufhweufgwef',
                                    filename: 'ashdasdasd.jpg',
                                    // ie8 下不存在 File
                                    File: function File() {}
                                }
                            ]
                            */
                            files.forEach(function (file) {
                                _upload.UploadFile.upload(file.id);
                            });
                        },
                        onProgress: function onProgress(step, file) {
                            step = Math.round(step);
                            var images = self.state.images;
                            images.some(function (item, index) {
                                if (item.fileid === file.id) {
                                    images[index].step = step;
                                    return true;
                                }
                            });
                            self.setState({
                                images: images
                            });
                        },
                        onUpload: function onUpload(res, file) {
                            res = JSON.parse(res);
                            var images = self.state.images;
                            images.some(function (item, index) {
                                if (item.fileid === file.id) {
                                    images[index].id = res.data.id;
                                    images[index].src = res.data.src;
                                    return true;
                                }
                            });
                            self.setState({
                                images: images
                            });
                        }
                    },
                    require("react").createElement(
                        'button',
                        { type: 'button' },
                        'Picker'
                    )
                ),
                self.state.images.map(function (item) {
                    var click = function click() {
                        var images = self.state.images;
                        images = images.filter(function (item, index) {
                            if (item.fileid === item.id) {
                                return false;
                            }
                            return true;
                        });
                        self.setState({
                            images: images
                        });
                    };
                    return require("react").createElement(
                        'div',
                        null,
                        require("react").createElement('img', { src: item.src, alt: '' }),
                        item.step,
                        require("react").createElement(
                            'button',
                            { type: 'button', onClick: click },
                            'remove'
                        )
                    );
                })
            );
        }
    }]);

    return MultipleStep;
}(React.Component);
/*ONFACE-DEL*/

MultipleStep = require("react-hot-loader").hot(module)(MultipleStep);
module.exports = MultipleStep;